STRUCT HRTIMER_CLOCK(9)

NAME
struct_hrtimer_clock_base - the timer base for a specific clock

SYNOPSIS

struct hrtimer_clock_base {
  struct hrtimer_cpu_base * cpu_base;
  int index;
  clockid_t clockid;
  struct timerqueue_head active;
  ktime_t resolution;
  ktime_t (* get_time) (void);
  ktime_t softirq_time;
  ktime_t offset;
};

MEMBERS

cpu_base
    per cpu clock base

index
    clock type index for per_cpu support when moving a timer to a base on another cpu.

clockid
    clock id for per_cpu support

active
    red black tree root node for the active timers

resolution
    the resolution of the clock, in nanoseconds

get_time
    function to retrieve the current time of the clock

softirq_time
    the time when running the hrtimer queue in the softirq

offset
    offset of this clock to the monotonic base

COPYRIGHT